> ## Documentation Index
> Fetch the complete documentation index at: https://axiom.co/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update org



## OpenAPI

````yaml v2 put /orgs/{id}
openapi: 3.0.0
info:
  description: A public and stable API for interacting with axiom services
  title: Axiom
  termsOfService: http://axiom.co/terms
  contact:
    name: Axiom support team
    url: https://axiom.co
    email: hello@axiom.co
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: 2.0.0
servers:
  - url: https://api.axiom.co/v2/
security:
  - bearerAuth: []
paths:
  /orgs/{id}:
    put:
      tags:
        - orgs
      operationId: updateOrg
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateOrg'
        required: true
      responses:
        '200':
          description: Org
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Org'
      security:
        - Auth: []
components:
  schemas:
    UpdateOrg:
      type: object
      required:
        - name
      properties:
        name:
          type: string
    Org:
      type: object
      required:
        - id
        - name
        - plan
        - planCreated
        - lastUsageSync
        - paymentStatus
        - license
        - primaryEmail
      properties:
        defaultEdgeDeployment:
          type: string
        defaultRegion:
          type: string
        firstFailedPayment:
          type: string
        id:
          type: string
        lastUsageSync:
          type: string
        license:
          $ref: '#/components/schemas/License'
        metaCreated:
          type: string
        metaModified:
          type: string
        metaVersion:
          type: string
        name:
          type: string
        paymentStatus:
          type: string
          enum:
            - na
            - failed
            - success
            - blocked
        plan:
          type: string
          enum:
            - personal
            - basicDirect
            - teamMonthlyDirect
            - teamMonthlyAws
            - axiomCloud
            - teamPlus
            - enterprise
            - comped
        planCreated:
          type: string
        primaryEmail:
          type: string
        role:
          type: string
    License:
      type: object
      required:
        - id
        - tier
        - issuer
        - issuedTo
        - issuedAt
        - validFrom
        - monthlyIngestGb
        - monthlyQueryGbHours
        - apiRateLimitPerSecond
        - maxUsers
        - maxDatasets
        - maxMonitors
        - maxFields
        - maxEndpoints
        - maxQueryWindowSeconds
        - maxAuditWindowSeconds
        - withAuths
        - features
        - billingPeriodStart
        - billingPeriodEnd
        - defaultRegion
        - defaultEdgeDeployment
        - regions
        - edgeDeployments
      properties:
        apiRateLimitPerSecond:
          type: integer
          format: uint64
        billingPeriodEnd:
          type: string
          format: date-time
        billingPeriodStart:
          type: string
          format: date-time
        defaultEdgeDeployment:
          type: string
          x-omitempty: true
        defaultRegion:
          type: string
          x-omitempty: true
        edgeDeployments:
          type: array
          items:
            type: string
          x-omitempty: true
        expiresAt:
          type: string
          format: date-time
          nullable: true
        features:
          type: object
          additionalProperties:
            type: boolean
        id:
          type: string
        issuedAt:
          type: string
          format: date-time
        issuedTo:
          type: string
        issuer:
          type: string
        maxAuditWindowSeconds:
          type: integer
          format: uint64
        maxDatasets:
          type: integer
          format: uint64
        maxEndpoints:
          type: integer
          format: uint64
        maxFields:
          type: integer
          format: uint64
        maxMonitors:
          type: integer
          format: uint64
        maxQueryWindowSeconds:
          type: integer
          format: uint64
        maxUsers:
          type: integer
          format: uint64
        monthlyIngestGb:
          type: integer
          format: uint64
        monthlyQueryGbHours:
          type: integer
          format: uint64
        regions:
          type: array
          items:
            type: string
          x-omitempty: true
        storageAllowanceGB:
          type: integer
          format: uint64
        tier:
          type: string
          enum:
            - personal
            - basicDirect
            - teamMonthlyDirect
            - teamMonthlyAws
            - axiomCloud
            - teamPlus
            - enterprise
            - comped
        validFrom:
          type: string
          format: date-time
        withAuths:
          type: array
          items:
            type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Authenticate using an API token or personal access token (PAT). Include
        the token as a Bearer token: `Authorization: Bearer <token>`. For more
        information, see [Tokens](/reference/tokens).
    Auth:
      description: >-
        Authenticate using an API token or personal access token (PAT). Include
        the token as a Bearer token: `Authorization: Bearer <token>`. For more
        information, see [Tokens](/reference/tokens).
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          tokenUrl: https://www.googleapis.com/oauth2/v4/token
          scopes: {}

````